package classes;

/**
 * Coordinates of an Object on the canvas with a (int) x-coord and a (int)
 * y-coord
 * 
 * @author Gruppe14
 *
 */
public class Position {
	public int x;
	public int y;

	/**
	 * Constructor with an positive x and y coord on the canvas
	 * 
	 * @param x
	 *            int
	 * @param y
	 *            int
	 */
	public Position(int x, int y) {
		this.x = x;
		this.y = y;
	}

	/**
	 * Default constructor without defined position
	 */
	public Position() {
		this.x = -1;
		this.y = -1;
	}
}
