package tests;

import java.util.ArrayList;
import java.util.Iterator;

import static java.lang.Math.*;

import classes.Category;
import classes.HolonElement;
import classes.HolonObject;

import java.lang.reflect.Constructor;
import java.lang.reflect.Field;
import java.lang.reflect.InvocationTargetException;


public class praktikumHolonsAdapter {

	
	/**
	 * Generate Sequence of Categories from A - ZZZ
	 * @param arr
	 */
	public void generateCategories(ArrayList<Category> arr) {
		for (int i = 0; i < 18279; i++) {
			arr.add(new Category(generate(i)));
		}
	}
	
	/**
	 * Generate Sequence of Objects from A - ZZZ
	 * @param arr
	 */
	public void generateObjects(ArrayList<HolonObject> arr) {
		for (int i = 0; i < 18279; i++) {
			arr.add(new HolonObject(generate(i)));
		}
	}
	
	/**
	 * Generate Sequence of Elements from A - ZZZ
	 * @param arr
	 */
	public void generateElements(ArrayList<HolonElement> arr) {
		for (int i = 0; i < 18279; i++) {
			arr.add(new HolonElement(generate(i), 1, 10));
		}
	}
	
	/**
	 * Generate Alphabetical Sequences
	 * @param n
	 * @return
	 */
	public String generate(int n) {
	    char[] buf = new char[(int) floor(log(25 * (n + 1)) / log(26))];
	    for (int i = buf.length - 1; i >= 0; i--) {
	        n--;
	        buf[i] = (char) ('A' + n % 26);
	        n /= 26;
	    }
	    return new String(buf);
	}
	
}
